PETSc version 3.15.5
Fix/Edit manual page

# DMGetDimension

Return the topological dimension of the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetDimension(DM dm, PetscInt *dim)

Not collective

### Input Parameter

| dm | - The DM

### Output Parameter

| dim | - The topological dimension

### See Also

DMSetDimension(), DMCreate()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/dm/field/tutorials/ex1.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex62.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex45.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages